<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tip_partido', function (Blueprint $table) {
            $table->string('idPais', 3)->comment('id Pais');
            $table->char('idProvincia', 3)->nullable();
            $table->increments('idPartido');
            $table->char('Descrip', 30)->nullable();
            $table->boolean('Hab')->default(0);
            $table->primary(['idPartido']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tip_partido');
    }
};
